package jalview.datamodel;

/**
 * A bean that models an (x, y, z) position in 3-D space
 */
public final class Point
{
  public final float x;

  public final float y;

  public final float z;

  public Point(float xVal, float yVal, float zVal)
  {
    x = xVal;
    y = yVal;
    z = zVal;
  }

  /**
   * toString for convenience of inspection in debugging or logging
   */
  @Override
  public String toString()
  {
    return String.format("[%f, %f, %f]", x, y, z);
  }
}
